geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <dwo...@apache.org>
Subject Re: how to add activemq to little-g?
Date Mon, 06 Oct 2008 14:46:36 GMT
#1 should be fixed within an hour, as I updated the geronimo-plugin.xml 
for the 2.1.3 server to include our private repo in svn.


-Donald


Lin Sun wrote:
> Hi,
> 
> I think install the following ontop of little G will get you to the
> little G + activemq env.
> 
> activemq-ra (Geronimo Plugins, ActiveMQ :: Resource Adapter)
> 
> So I tried the scenario with 2.2-snapshot server, however it failed with
> 
> Installation FAILED: Could not find
> org.apache.activemq/activemq-core/4.1.2-G647819/jar in any repo:
> [org.apache.geronimo.system.plugin.RemoteSourceRepository:http://geronimo.apache.org/plugins/geronimo-2.2/,
> org.apache.geronimo.system.plugin.RemoteSourceRepository:http://repo1.maven.org/maven2/,
> org.apache.geronimo.system.plugin.RemoteSourceRepository:http://people.apache.org/repo/m2-snapshot-repository/,
> org.apache.geronimo.system.plugin.RemoteSourceRepository:http://people.apache.org/repo/m2-incubating-repository/]
> 
> I think this is because the activemq-core-4.1.2-G647819.jar isn't
> avail at the public repo specified above.   Did you get the same
> error?
> 
> I think we have 2 possible solutions:
> 1. Modify the plugin catalog for g 2.1.3 to allow to find repos in
> local maven 2 repo so that a user can at least manually download the
> jar onto the local maven 2 repo to allow the installation to continue.
> 2. Use the new server assembly feature.   If you have tomcat javaee5
> or jetty javaee5 server, go to admin console, plugins, server assembly
> portlet to build your custom assembly.   You can get little G + JMS by
> selecting these plugins to build as your custom server (below is an
> example for tomcat javaee5:)
> 
>         <dependency>
>             <groupId>org.apache.geronimo.assemblies</groupId>
>             <artifactId>geronimo-boilerplate</artifactId>
>             <version>${version}</version>
>             <type>jar</type>
>         </dependency>
> 
>         <dependency>
>             <groupId>org.apache.geronimo.framework</groupId>
>             <artifactId>upgrade-cli</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.framework</groupId>
>             <artifactId>offline-deployer</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.configs</groupId>
>             <artifactId>hot-deployer</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.configs</groupId>
>             <artifactId>jsr88-ear-configurer</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.configs</groupId>
>             <artifactId>jsr88-rar-configurer</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.configs</groupId>
>             <artifactId>jsr88-war-configurer</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.configs</groupId>
>             <artifactId>remote-deploy-tomcat</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
> 
>         <dependency>
>             <groupId>org.apache.geronimo.framework</groupId>
>             <artifactId>gshell-geronimo</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.framework</groupId>
>             <artifactId>gshell-remote</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.configs</groupId>
>             <artifactId>tomcat6-deployer</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.configs</groupId>
>             <artifactId>jasper-deployer</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
>         <dependency>
>             <groupId>org.apache.geronimo.configs</groupId>
>             <artifactId>sharedlib</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
> 
>         <dependency>
>             <groupId>org.apache.geronimo.configs</groupId>
>             <artifactId>activemq-ra</artifactId>
>             <version>${version}</version>
>             <type>car</type>
>         </dependency>
> 
> 
> HTH
> 
> Lin
> 
> 
> On Mon, Oct 6, 2008 at 8:37 AM, aaaaa <aaaaa@mytrashmail.com> wrote:
>> hi all,
>> how do I add activemq broker to little-g?
>> I used ./deploy.sh search-plugins
>> http://geronimo.apache.org/plugins/geronimo-2.1.3/ , but
>> it tried also to install systemdb and other stuff and eventually failed...
>>
>> thanks.
>>
>>
>> --
>> View this message in context: http://www.nabble.com/how-to-add-activemq-to-little-g--tp19837127s134p19837127.html
>> Sent from the Apache Geronimo - Users mailing list archive at Nabble.com.
>>
>>
> 

Mime
View raw message